Skip to main content
GET
/
v1
/
account_programs
/
{id}
/
balance
JavaScript
import Augustus from '@augustusbank/typescript-sdk';

const client = new Augustus({
  apiKey: process.env['AUGUSTUS_API_KEY'], // This is the default and can be omitted
});

const response = await client.accountPrograms.retrieveBalance(
  '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
);

console.log(response.id);
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "type": "account_program_balance",
  "amount": "<string>",
  "currency": "EUR",
  "as_of": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.augustus.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token for authentication with Augustus Banking API

Path Parameters

id
string<uuid>
required

Unique identifier of the account program.

Response

200 - application/json

Account program balance snapshot

id
string<uuid>
required

Unique identifier of the account program.

type
enum<string>
required

Resource type discriminator.

Available options:
account_program_balance
amount
string
required

Total available balance as a string decimal (e.g. "100.50").

currency
enum<string>
required

ISO 4217 currency code for the balance.

Available options:
EUR,
GBP,
USD
as_of
string<date-time>
required

ISO 8601 UTC timestamp when this balance snapshot was produced.